%Chapt2Fig28.m
%diode current - voltage characteristics;
clear;
clf;

x=[-10:.05:10]; 	%voltage [start:increment:stop];   
y1=(exp(x)-1.);	    %current
y2=log(y1);

figure(1);
grid on;
plot(x,y1,'b');
hold on;			%keep current plot in the figure;
plot(x,y1*100,'r');
axis([-5 5 -200 2000]);
hold off;
temp2=['Chapt2Fig28'];
title(temp2);
xlabel('Voltage, V (V)');
ylabel('Current, I (A)');

figure(2);
plot(x,y2,'r');
title(temp2);
xlabel('Voltage, V (V)');
ylabel('log(current), log(I) (A)');

